package de.ozgcloud.processor.vorgang;

import org.springframework.stereotype.Service;

import de.ozgcloud.apilib.vorgang.OzgCloudVorgangId;
import de.ozgcloud.apilib.vorgang.OzgCloudVorgangService;
import lombok.NonNull;
import lombok.RequiredArgsConstructor;

@Service("processorVorgangService")
@RequiredArgsConstructor
public class VorgangService {

	private final OzgCloudVorgangService ozgCloudService;
	private final ProcessorVorgangMapper mapper;

	public Vorgang getVorgang(@NonNull VorgangId id) {
		var loaded = ozgCloudService.getById(OzgCloudVorgangId.from(id.toString()));

		return mapper.mapVorgang(loaded);
	}
}
